
#ifndef _NPC22_H
#define _NPC2_H

#include "npc.h"
#include "ai_module.h"

class AI;
class Shader;
class AIModule;

class NPC2 : public NPC {
	ObjectListDeclaration(NPC2);

	public:
		NPC2 (const TiXmlElement* root);
		virtual ~NPC2 ();
		virtual void loadParams(const TiXmlElement* root);
		virtual void tick(float dt);
		inline int getTeam(){return teamNumber;}


	private:
		inline void setTeamNumber(int number){teamNumber=number;}
		inline void setSwarmNumber(int number){swarmNumber=number;}

 		int teamNumber;
 		int swarmNumber;
		int difficulty;

		AIModule* aiModule;
};

#endif /* _NPC2_H */
